[prev in list] [next in list] [prev in thread] [next in thread] 

List:       ipcop-svn
Subject:    [Ipcop-svn] SF.net SVN: ipcop:[4890] ipcop/trunk
From:       owes () users ! sourceforge ! net
Date:       2010-08-28 19:02:46
Message-ID: E1OpQfu-0000Jc-Do () sfp-svn-2 ! v30 ! ch3 ! sourceforge ! com
[Download RAW message or body]

Revision: 4890
          http://ipcop.svn.sourceforge.net/ipcop/?rev=4890&view=rev
Author:   owes
Date:     2010-08-28 19:02:46 +0000 (Sat, 28 Aug 2010)

Log Message:
-----------
Bump version, prepare for next update

Modified Paths:
--------------
    ipcop/trunk/make.sh

Added Paths:
-----------
    ipcop/trunk/updates/1.9.16/
    ipcop/trunk/updates/1.9.16/ROOTFILES.alpha-1.9.16
    ipcop/trunk/updates/1.9.16/ROOTFILES.i486-1.9.16
    ipcop/trunk/updates/1.9.16/ROOTFILES.ppc-1.9.16
    ipcop/trunk/updates/1.9.16/ROOTFILES.sparc-1.9.16
    ipcop/trunk/updates/1.9.16/information.xml
    ipcop/trunk/updates/1.9.16/setup

Modified: ipcop/trunk/make.sh
===================================================================
--- ipcop/trunk/make.sh	2010-08-28 16:03:37 UTC (rev 4889)
+++ ipcop/trunk/make.sh	2010-08-28 19:02:46 UTC (rev 4890)
@@ -50,12 +50,12 @@
 SNAME="ipcop"
 
 # This is the IPCop internal version number. May or may not be the version released \
                eventually.
-VERSION=1.9.15
+VERSION=1.9.16
 
 # This is the last official IPCop version number. Needed for ./make.sh newupdate.
-PREVIOUSVERSION=1.9.14
+PREVIOUSVERSION=1.9.15
 # This is the SVN revision number (+1) for the last IPCop version. Needed for \
                ChangeLog and MD5 Modification test.
-PREVIOUSSVNREV=4330
+PREVIOUSSVNREV=4890
 
 # Just an arbitrary name for the downloadable, prebuilt toolchain (if you want to \
save time compiling).  TOOLCHAINVERSION=1.9.15

Added: ipcop/trunk/updates/1.9.16/ROOTFILES.alpha-1.9.16
===================================================================
--- ipcop/trunk/updates/1.9.16/ROOTFILES.alpha-1.9.16	                        (rev 0)
+++ ipcop/trunk/updates/1.9.16/ROOTFILES.alpha-1.9.16	2010-08-28 19:02:46 UTC (rev \
4890) @@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/1.9.16/ROOTFILES.i486-1.9.16
===================================================================
--- ipcop/trunk/updates/1.9.16/ROOTFILES.i486-1.9.16	                        (rev 0)
+++ ipcop/trunk/updates/1.9.16/ROOTFILES.i486-1.9.16	2010-08-28 19:02:46 UTC (rev \
4890) @@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/1.9.16/ROOTFILES.ppc-1.9.16
===================================================================
--- ipcop/trunk/updates/1.9.16/ROOTFILES.ppc-1.9.16	                        (rev 0)
+++ ipcop/trunk/updates/1.9.16/ROOTFILES.ppc-1.9.16	2010-08-28 19:02:46 UTC (rev \
4890) @@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/1.9.16/ROOTFILES.sparc-1.9.16
===================================================================
--- ipcop/trunk/updates/1.9.16/ROOTFILES.sparc-1.9.16	                        (rev 0)
+++ ipcop/trunk/updates/1.9.16/ROOTFILES.sparc-1.9.16	2010-08-28 19:02:46 UTC (rev \
4890) @@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/1.9.16/information.xml
===================================================================
--- ipcop/trunk/updates/1.9.16/information.xml	                        (rev 0)
+++ ipcop/trunk/updates/1.9.16/information.xml	2010-08-28 19:02:46 UTC (rev 4890)
@@ -0,0 +1,10 @@
+<ipcop>
+    <update>
+        <version>1.9.16</version>
+        <releasedate>2010-mm-dd</releasedate>
+        <description>Description (needs modification, shortly before release at the \
latest).</description> +        <previousversion>1.9.15</previousversion>
+        <installdate>INSTALLDATE</installdate>
+        <latest />
+    </update>
+</ipcop>

Added: ipcop/trunk/updates/1.9.16/setup
===================================================================
--- ipcop/trunk/updates/1.9.16/setup	                        (rev 0)
+++ ipcop/trunk/updates/1.9.16/setup	2010-08-28 19:02:46 UTC (rev 4890)
@@ -0,0 +1,93 @@
+#!/bin/bash
+#
+# Upgrade IPCop
+#
+
+UPGRADEVERSION=1.9.16
+PREVIOUSVERSION=1.9.15
+
+
+msg() {
+    /usr/bin/logger -t installpackage "$*"
+    /bin/echo "$*"
+}
+
+
+# Verify architecture
+MACHINE=`/usr/bin/perl -e "require '/usr/lib/ipcop/general-functions.pl';print \
\\$General::machine;"` +if [ "$MACHINE" != `/bin/cat ./ARCH` ]; then
+    msg "Update for wrong architecture: `/bin/cat ./ARCH`! We are: $MACHINE. \
Aborting installation." +    exit 1
+fi
+
+# Verify version, note we also accept replaying an upgrade
+CURRENTVERSION=`/usr/bin/perl -e "require \
'/usr/lib/ipcop/general-functions.pl';print \\$General::version;"` +if [ \
"$CURRENTVERSION" != "$PREVIOUSVERSION" -a "$CURRENTVERSION" != "$UPGRADEVERSION" ]; \
then +    msg "IPCop v$PREVIOUSVERSION or v$UPGRADEVERSION not running. Aborting \
installation." +    exit 1
+fi
+
+#####
+#
+# Add version specific handling *before* unpacking the patch here.
+# For example stopping apache, squid, etc...
+#
+#####
+
+
+
+#####
+#
+# End of version specific handling. Continue with universal stuff.
+#
+#####
+
+FAILURE=0
+/bin/tar -zxpf patch.tar.gz -C /
+FAILURE=$?
+if [ $FAILURE -ne 0 ]; then
+    msg "Error extracting patch.tar.gz $1, need more free space on disk. Aborting."
+    exit 4 # ERRORTAR
+fi
+
+# Modify or remove line below, depending on update
+# Update bootloader config
+# /usr/local/sbin/updatekernel.pl --add 2.6.27-2 --keep 2.6.27-1 --remove 2.6.27-0
+
+# Modify or remove line below, depending on update
+# Create the new initramfs
+# /sbin/mkinitramfs --with-kernel=2.6.27-2 --with-firmware --many-modules \
--with-list=/etc/modules.initramfs +
+# Adjust the changed config files
+# /usr/local/bin/upgrade.sh
+
+# Remove old libraries (version specific)
+# /bin/rm -f .....
+
+# For new shared libs. May not always be required, but makes sure we do not forget
+/sbin/ldconfig
+
+#####
+#
+# Add version specific handling *after* unpacking the patch here.
+# For example restarting apache, squid, etc...
+#
+#####
+
+
+
+#####
+#
+# End of version specific handling. Continue with universal stuff.
+#
+#####
+
+# Patch general-functions.pl
+/bin/sed -i -e "s+^\(\$General::version\s*=\s*\).*+\1'$UPGRADEVERSION';+" \
/usr/lib/ipcop/general-functions.pl +# Patch /etc/issue
+/bin/sed -i -e "s+$PREVIOUSVERSION+$UPGRADEVERSION+" /etc/issue
+
+# Update menu
+/usr/local/bin/updatemenu.pl
+
+msg "$UPGRADEVERSION update installed."


This was sent by the SourceForge.net collaborative development platform, the world's \
largest Open Source development site.

------------------------------------------------------------------------------
Sell apps to millions through the Intel(R) Atom(Tm) Developer Program
Be part of this innovative community and reach millions of netbook users 
worldwide. Take advantage of special opportunities to increase revenue and 
speed time-to-market. Join now, and jumpstart your future.
http://p.sf.net/sfu/intel-atom-d2d
_______________________________________________
Ipcop-svn mailing list
Ipcop-svn@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ipcop-svn


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic